Page MenuHomePhabricator

Notice: Undefined variable: retValue in /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/OrgPager.php on line 147
Closed, ResolvedPublic

Description

Notice: Undefined variable: retValue in /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/OrgPager.php on line 147

#0 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/OrgPager.php(147): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/EPPager.php(466): EducationProgram\OrgPager->getFormattedValue(string, string)
#2 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/EPPager.php(114): EducationProgram\EPPager->formatValue(string, string)
#3 /srv/mediawiki/php-1.32.0-wmf.20/includes/pager/IndexPager.php(445): EducationProgram\EPPager->formatRow(stdClass)
#4 /srv/mediawiki/php-1.32.0-wmf.20/includes/pager/TablePager.php(69): IndexPager->getBody()
#5 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/OrgPager.php(44): TablePager->getBody()
#6 /srv/mediawiki/php-1.32.0-wmf.20/includes/cache/CacheHelper.php(297): EducationProgram\OrgPager::getPager(RequestContext)
#7 /srv/mediawiki/php-1.32.0-wmf.20/includes/specials/SpecialCachedPage.php(148): CacheHelper->getCachedValue(string, array, NULL)
#8 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/specials/SpecialInstitutions.php(40): SpecialCachedPage->addCachedHTML(string, RequestContext)
#9 /srv/mediawiki/php-1.32.0-wmf.20/includes/specialpage/SpecialPage.php(569): EducationProgram\SpecialInstitutions->execute(string)
#10 /srv/mediawiki/php-1.32.0-wmf.20/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run(string)
#11 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#12 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(868): MediaWiki->performRequest()
#13 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(525): MediaWiki->main()
#14 /srv/mediawiki/php-1.32.0-wmf.20/index.php(42): MediaWiki->run()
#15 /srv/mediawiki/w/index.php(3): include(string)
#16 {main}

Event Timeline

hashar created this task.Sep 7 2018, 9:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2018, 9:44 AM

A little different here, as the method is called with an unknown value name.

Change 459782 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[mediawiki/extensions/EducationProgram@master] Throw a proper exception when the method can't format a value

https://gerrit.wikimedia.org/r/459782

Change 459782 merged by jenkins-bot:
[mediawiki/extensions/EducationProgram@master] Throw a proper exception when the method can't format a value

https://gerrit.wikimedia.org/r/459782

Krinkle closed this task as Resolved.Sep 19 2018, 4:45 PM
Krinkle removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM